-- Tutorial to illustrate the LuaExtension "ExtIntro"

-- Read input data
l1gen = faudes.Generator("data/gen_lg.gen")

-- Apply test and report
l1=faudes.IsLargeGenerator(l1gen);
if l1 then
  print("l1gen is a large generator [expected]")
else
  print("l1gen is not a large generator [test case error]")
end

-- Record test case
FAUDES_TEST_DUMP("lgen test 1",l1)

-- Constrcut a small generator
l2gen = faudes.Generator()
faudes.LargeGenerator(5,3,l2gen)

-- Produce graphical output for documentation
l2gen:GraphWrite("tmp_l2gen.png")

-- Apply test and report
l2=faudes.IsLargeGenerator(l2gen);
if l2 then
  print("l2gen is a large generator [test case error]")
else
  print("l2gen is not a large generator [expected]")
end

-- Record test case
FAUDES_TEST_DUMP("lgen test 2",l2)